Page MenuHomePhabricator

OOUI HTMLForm hides help text until clicked
Closed, ResolvedPublic

Description

For example:

Using 'vform':

Using 'ooui':

The help text is hidden, which is significantly less useful.

Event Timeline

Legoktm created this task.Jul 1 2015, 5:44 AM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MediaWiki-HTMLForm.
Legoktm added subscribers: Legoktm, Aklapper, matmarex.
Florian added a subscriber: Florian.Jul 9 2015, 5:20 PM

It seems that OOjs UI's design assumes that these 'help' messages are "optional reads" (and that's how they are treated in VisualEditor's interface), while HTMLForm assumes that they are must-read. I don't think it's feasible to change it in OOjs UI today, but we can add a parallel system. I'm trying out some things on T106947.

Change 291522 had a related patch set uploaded (by Glaisher):
Allow providing 'notices' for OOUI HTMLForm fields

https://gerrit.wikimedia.org/r/291522

matmarex closed this task as Resolved.Jul 25 2016, 11:14 AM
matmarex assigned this task to Glaisher.
matmarex removed a project: Patch-For-Review.

Patch was merged. Nothing changes by default, but you can now display extra description for OOUI form fields with 'notice', 'notice-message' or 'notice-messages'.